package scrabblePackage;
import java.awt.FlowLayout;
import java.awt.Rectangle;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import javax.swing.ComboBoxModel;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JLabel;

import javax.swing.WindowConstants;

/**
 * This code was edited or generated using CloudGarden's Jigloo SWT/Swing GUI
 * Builder, which is free for non-commercial use. If Jigloo is being used
 * commercially (ie, by a corporation, company or business for any purpose
 * whatever) then you should purchase a license for each developer using Jigloo.
 * Please visit www.cloudgarden.com for details. Use of Jigloo implies
 * acceptance of these licensing terms. A COMMERCIAL LICENSE HAS NOT BEEN
 * PURCHASED FOR THIS MACHINE, SO JIGLOO OR THIS CODE CANNOT BE USED LEGALLY FOR
 * ANY CORPORATE OR COMMERCIAL PURPOSE.
 */
public class BlankTileFrame extends javax.swing.JFrame {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private JLabel blankTileLabel;
	private JButton okButton;
	private JComboBox alphabetComboBox;
	private Rectangle rectangle;
	private String originalAnswer;
	private LetterInputFrame letterInput;

	public BlankTileFrame(String originalAnswer, LetterInputFrame letterInput) {
		super();
		this.originalAnswer = originalAnswer;
		rectangle = letterInput.getBounds();
		this.letterInput = letterInput;
		initGUI();
	}

	private void initGUI() {
		try {
			FlowLayout thisLayout = new FlowLayout();
			getContentPane().setLayout(thisLayout);
			setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
			{
				blankTileLabel = new JLabel();
				getContentPane().add(blankTileLabel);
				blankTileLabel.setText("What letter should the blank tile be?");
			}
			{
				ComboBoxModel alphabetComboBoxModel = new DefaultComboBoxModel(new String[] { "A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U",
						"V", "W", "X", "Y", "Z", });
				alphabetComboBox = new JComboBox();
				getContentPane().add(alphabetComboBox);
				alphabetComboBox.setModel(alphabetComboBoxModel);
			}
			{
				okButton = new JButton();
				getContentPane().add(okButton);
				okButton.setText("OK");
				okButton.addMouseListener(new MouseAdapter() {
					public void mouseReleased(MouseEvent evt) {
						letterInput.placeTileFinish(alphabetComboBox.getSelectedItem().toString() + "'", originalAnswer);
						Scrabble.exchangeButton.setVisible(false);
						destroyMe();
					}
				});
			}
			pack();
			Rectangle myBounds = new Rectangle(rectangle.x + rectangle.width / 2 - 543 / 2, rectangle.y + rectangle.height / 2 - 107 / 2, 543, 107);
			this.setBounds(myBounds);
			this.setSize(543, 107);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	protected void destroyMe() {
		this.dispose();
	}

}
